> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Mobile Money Validation

> Validate mobile money wallet number and retrieve wallet details.



## OpenAPI

````yaml POST /gateway/account-number-validation
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /gateway/account-number-validation:
    post:
      tags:
        - Validation
      summary: Validate Mobile Money Wallet
      description: Validate mobile money wallet number and retrieve wallet details.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - mobileMoneyWalletCountry
                - mobileMoneyWalletNumber
                - mobileOperatorCode
              properties:
                mobileMoneyWalletCountry:
                  type: string
                  example: GHA
                mobileMoneyWalletNumber:
                  type: string
                mobileOperatorCode:
                  type: string
                  description: Mobile operator code (e.g., MTN, VOD, AIR)
      responses:
        '200':
          description: Mobile money wallet validated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - SUCCESS
                      - ERROR
                  message:
                    type: string
                  errorCode:
                    type: integer
                  data:
                    type: object
                    properties:
                      mobileMoneyWalletCountry:
                        type: string
                      mobileMoneyWalletName:
                        type: string
                      mobileMoneyWalletNumber:
                        type: string
      security:
        - bearerAuth: []
      servers:
        - url: https://api.stag.songhaiexchange.io
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````